Subject: bug#15946: 24.3; Mac OS X, Mavericks, distnoted process

From: canoeberry <[email-masked]>
Date: Tue, 14 Jan 2014 12:09:39 -0800 (PST)

This is what I see if I run the "leaks" program on my Mac on the emacs process:

Leak: 0x1109f7b20  size=160  zone: DefaultMallocZone_0x100659000   OS_dispatch_source  ObjC  libdispatch.dylib
	0x76964c20 0x00007fff 0x00000001 0x00000000 	 L.v............
	0x89abcdef 0xffffffff 0x769666c0 0x00007fff 	.........f.v....
	0x00000000 0x00000000 0x00000000 0x00000000 	................
	0x00000000 0x00000000 0x00000000 0x00000000 	................
	0x00000000 0x00000000 0x00000000 0x00000000 	................
	0x00000001 0x00000000 0x0002940d 0x00000000 	................
	0x8896290c 0x00007fff 0x013000a0 0x00000001 	.)........0.....
	0x109f7c10 0x00000001 0x00000002 0x0000004c 	.|..........L...
	...

A bazillion of them.

I also ran it on a distnoted which I just killed and restarted because the existing one was over 2Gb of real memory (or so it said). It claimed there were no leaks.

This leaks program is pretty cool. It's like a conservative GC algorithm that assumes every integer could be a pointer. So by definition is is conservative.

Anyway - does this piece of information help any smart hacker types?

JP

On 14 Jan 2014, at 17:47, Jan Djärv [via Emacs] <[email-masked]> wrote:

> Hello. 
> 
> 14 jan 2014 kl. 18:15 skrev canoeberry <[hidden email]>: 
> 
> > I have been observing this since Mavericks was released. I did not make a 
> > connection between distnoted and emacs, other than the following 
> > observation: both are leaking memory. 
> > 
> > For the first time ever I am finding that my emacs process slowly grows in 
> > size. I can be editing a small handful of files and be using 500Mb of real 
> > memory. Never seen that before, ever. 
> > 
> > Distnoted grows much faster, on the order of 1Gb real memory / day. Killing 
> > that process and having another start up automatically causes some OS X 
> > features to stop working, e.g., it is not possible to enter Time Machine or 
> > even see the status of your Time Machine backups anymore. 
> > 
> > I have seen distnoted peg the CPU when Time Machine backups are running or 
> > recently completed. Meanwhile, the menubar no longer animates the 
> > in-progress backup, which I assume is not on purpose and possibly even 
> > related to the issue. 
> >
> 
> I think that is so OSX can save a bit of power. 
> 
> > I do not use shells in emacs nowadays. 
> > 
> > I am running emacs from emacsformacosx. 
> > 
> > I have filed bugs with Apple. 
> > 
> > If anybody has any suggestions on how to figure out what is causing Emacs to 
> > grow in size, I will happily run some experiments for you. I tried to figure 
> > out how to profile emacs memory but it was not very obvious to me what to 
> > do.
> 
> The obvious thing is to run leaks on Emacs (man leaks) after a garbage collection has been made (M-x garbage-collect).  Leaks may report leaks which in fact are not due to uncollected garbage. 
> 
>         Jan D. 
> 
> 
> 
> 
> 
> 
> If you reply to this email, your message will be added to the discussion below:
> http://emacs.1067599.n5.nabble.com/bug-15946-24-3-Mac-OS-X-Mavericks-distnoted-process-tp303500p310141.html
> To unsubscribe from bug#15946: 24.3; Mac OS X, Mavericks, distnoted process, click here.
> NAML

-----
Jonathan Payne

--
View this message in context: http://emacs.1067599.n5.nabble.com/bug-15946-24-3-Mac-OS-X-Mavericks-distnoted-process-tp303500p310179.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.